program d4dgCh2Ex1;

{%DelphiDotNetAssemblyCompiler '$(SystemRoot)\microsoft.net\framework\v1.1.4322\System.Drawing.dll'}
{%DelphiDotNetAssemblyCompiler '$(SystemRoot)\microsoft.net\framework\v1.1.4322\System.Windows.Forms.dll'}

uses
  System.Windows.Forms,
  System.Drawing;

type
  TFirstForm = class(Form)
  private
    btnDrawRect: Button;
  public
    constructor Create;
    procedure btnDrawRectClick(Sender: TObject; E: EventArgs);
  end;

constructor TFirstForm.Create;
begin
  inherited Create;
  Text := 'D4DN First example';
  Size := System.Drawing.Size.Create(400, 300);

  btnDrawRect := Button.Create;
  btnDrawRect.Text     := 'Draw Rect';
  btnDrawRect.Parent   := self;
  btnDrawRect.Location := Point.Create(10, 10);
  btnDrawRect.Size     := System.Drawing.Size.Create(70, 25);
  btnDrawRect.add_Click(btnDrawRectClick);
end;

procedure TFirstForm.btnDrawRectClick(Sender: TObject; E: EventArgs);
var
  grGraphics: Graphics;
  rct: Rectangle;
  pn: Pen;
begin
  grGraphics := Graphics.FromHwnd(Handle);
  rct := Rectangle.Create(40, 40, 200, 200);
  pn := Pen.Create(Color.Red);
  grGraphics.DrawRectangle(pn, rct);
end;

begin
  Application.Run(TFirstForm.Create);
end.


