unit MonoFuncs;

interface

function GetInput(aConsoleMessage: String;
   aPossibleResponses: Array of Char):Integer;

implementation

function GetInput(aConsoleMessage: String;
   aPossibleResponses: Array of Char):Integer;
var
  Response: String;
  i: Integer;
begin
  // establish a default result
  Result := -1;

  // request user input
  WriteLn('');
  WriteLn(aConsoleMessage);
  Write('   > ');

  // read input
  ReadLn(Response);

  // determine if input is in expected result set
  for i := 0 to High(aPossibleResponses) do
    if Response = aPossibleResponses[i] then
      Result := i;
end;

end.
