program MonoMenu;

{$APPTYPE CONSOLE}

uses
  MonoFuncs in 'MonoFuncs.pas';

var
  MainMenu: String;
  UserResponse: Integer;
  PossibleResponses: array of Char;


begin

  // the core of the app
  MainMenu :=
    'Welcome to Cross Platform Development - Are you:'+#10#13+#10#13+
    '1. Curious as to how this is going to work?'+#10#13+
    '2. A skeptic?'+#10#13+
    '3. Thinking this rocks?'+#10#13+#10#13+
    'Enter a number (1-3):';

  // identify valid responses
  SetLength(PossibleResponses, 3);
  PossibleResponses[0] := '1';
  PossibleResponses[1] := '2';
  PossibleResponses[2] := '3';

  // ask for a respone, ensuring we get an answer we want
  repeat
    UserResponse := GetInput(MainMenu, PossibleResponses);
  until UserResponse >= 0;

  // acknowledge the answer with some encouragement
  Case UserResponse+1 of
    1:  WriteLn('Just watch, you will be impressed');
    2:  WriteLn('So am I.  But this is cool.');
    3:  WriteLn('It does.');
  end; // case
end.
