program NumFmtSpec;

{$APPTYPE CONSOLE}

var
  MyCurrency: Currency;
  MyDecimal: System.Int32;
  MyDouble:   System.Double;
  MyPercent:   System.Double;

begin
  MyCurrency := 23.12;
  MyDecimal  := 8654;
  MyDouble   := 87;
  MyPercent  := 0.25;

  Console.Writeline('Currency: {0:C2}', MyCurrency);
  Console.Writeline('Decimal: {0:D4}',     System.Object(MyDecimal));

  Console.Writeline('Scientific: {0:E10}', System.Object(MyDouble));
  Console.Writeline('Fixed-point: {0:F3}', System.Object(MyDouble));
  Console.Writeline('General: {0:G3}', System.Object(MyDouble));
  Console.Writeline('Number: {0:N3}',  System.Object(MyDouble));
  Console.Writeline('Percent: {0:P0}', System.Object(MyPercent));
  Console.Writeline('Round-trip: {0:R}', System.Object(MyDouble));
  Console.Writeline('Hexadecimal: {0:X}', System.Object(MyDecimal));

  Console.ReadLine;
end.
