program FileStrm;

{$APPTYPE CONSOLE}

uses
  SysUtils,
  System.IO;

var
  MyFileStream: FileStream;
  MyStreamWriter: StreamWriter;
  MyStreamReader: StreamReader;
begin

  // Create and write the file
  MyFileStream := FileStream.Create('c:\ddgdemo.txt',
     FileMode.OpenOrCreate,  FileAccess.Write);
  try
    MyStreamWriter := StreamWriter.Create(MyFilestream);
    try
      MyStreamWriter.BaseStream.Seek(0, SeekOrigin.End);
      MyStreamWriter.WriteLine('Hello Delphi for .NET');
      MyStreamWriter.WriteLine('Delphi for .NET Developer''s Guide');
    finally
      MyStreamWriter.Close;
    end;
  finally
    MyFileStream.Close;
  end;
  Console.WriteLine('File has been saved. Press a key to read it.');
  Console.ReadLine;

 //  Create and read from the file
  MyFileStream := FileStream.Create('c:\demo.txt', FileMode.OpenOrCreate,
    FileAccess.Read);
  try
    MyStreamReader := StreamReader.Create(MyFilestream);
    try
      MyStreamReader.BaseStream.Seek(0, SeekOrigin.Begin);
      while MyStreamReader.Peek <> -1 do
        Console.WriteLine(MyStreamReader.ReadLine);
    finally
      MyStreamReader.Close;
    end;
  finally
    MyFileStream.Close;
  end;
  Console.ReadLine;

end.
