unit Win32AppU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmUseUnmanagedExports = class(TForm)
    btnCallUnmanagedExports: TButton;
    procedure btnCallUnmanagedExportsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmUseUnmanagedExports: TfrmUseUnmanagedExports;

implementation

uses DotNetAssemblyImports;

{$R *.dfm}

procedure TfrmUseUnmanagedExports.btnCallUnmanagedExportsClick(
  Sender: TObject);
const
  NumChars = 32;
var
  Buf: array[0..NumChars] of WideChar;
  CharsRequired: Integer;
begin
  CharsRequired := GetDotNETVersion(Buf, NumChars);
  if CharsRequired <= NumChars then
    ShowAMessage(Buf)
  else
    raise Exception.CreateFmt(
      'Buffer too small. Should be %d characters', [CharsRequired])
end;

end.
