program ddlquery;

{$APPTYPE CONSOLE}

{%DotNetAssemblyCompiler 'c:\windows\microsoft.net\framework\v1.1.4322\System.Data.dll'}

uses
  SysUtils,
  System.Data.SqlClient;

const
   ub_proc = 'CREATE PROCEDURE ub_select_defect AS select '+
     'd.*, dt.title AS defect_type, ds.title AS defect_severity, '+
     'dst.title AS defect_status '+
     'FROM defect d left OUTER JOIN lu_defect_type dt '+
     'ON d.defect_type_id = dt.defect_type_id '+
     'LEFT OUTER JOIN lu_defect_severity ds '+
     'ON d.defect_severity_id = ds.defect_severity_id '+
     'LEFT OUTER JOIN lu_defect_status dst '+
     'ON d.defect_status_id = dst.defect_status_id';

const
  c_string = 'server=XWING;database=ugly_bug; Trusted_Connection=Yes';

var
  sqlcon: SqlConnection;
  cmd:    SqlCommand;
  rowsChanged: Integer;
begin
  sqlcon := SqlConnection.Create;
  sqlcon.ConnectionString := c_string;
  sqlcon.Open;
  try
    cmd := SqlCommand.Create(ub_proc, sqlcon);
    rowsChanged := cmd.ExecuteNonQuery;
    sqlcon.Close;
    Console.WriteLine(System.String.Format('Rows Changed: {0}',
      rowsChanged.ToString));
  finally
    sqlcon.Close;
  end;
end.
