program sp_addco;

{$APPTYPE CONSOLE}

{%DotNetAssemblyCompiler 'C:\windows\microsoft.net\framework\v1.1.4322\System.Data.dll'}

uses
  SysUtils,
  System.Data,
  System.Data.SqlClient;

const
  c_cnstr = 'server=XWING;database=ddn_company;Trusted_Connection=Yes';
  c_ddn_add_company = 'ddn_add_company';
var
  sqlcon: SqlConnection;
  cmd:    SqlCommand;
  param:  SqlParameter;
begin
  sqlcon := SqlConnection.Create(c_cnstr);
  cmd := SqlCommand.Create(c_ddn_add_company, sqlcon);
  cmd.CommandType := CommandType.StoredProcedure;

  param := cmd.Parameters.Add('@company_name', SqlDbType.VarChar, 100);
  param.Value := 'Xapware Technologies Inc.';

  param := cmd.Parameters.Add('@address_1', SqlDbType.VarChar, 100);
  param.Value := '4164 Austin Bluffs Parkway';

  param := cmd.Parameters.Add('@address_2', SqlDbType.VarChar, 100);
  param.Value := 'Ste 363';

  param := cmd.Parameters.Add('@city', SqlDbType.VarChar, 50);
  param.Value := 'Colorado Springs';

  param := cmd.Parameters.Add('@state_abbr', SqlDbType.Char, 2);
  param.Value := 'CO';

  param := cmd.Parameters.Add('@zip', SqlDbType.VarChar, 20);
  param.Value := '80918';

  param := cmd.Parameters.Add('@company_id', SqlDbType.Int);
  param.Direction := ParameterDirection.Output;

  sqlcon.Open;
  try
    cmd.ExecuteNonQuery;
    param := cmd.Parameters['@company_id'];
  finally
    sqlcon.Close;
  end;

  Console.WriteLine(System.String.Format('New company id: {0}',
    param.Value));

  Console.ReadLine;
end.
