program readblob;

{$APPTYPE CONSOLE}

{%DotNetAssemblyCompiler 'c:\windows\microsoft.net\framework\v1.1.4322\System.Data.dll'}

uses
  SysUtils,
  System.Data,
  System.Data.SqlClient,
  System.IO;

const
  c_cnstr = 'server=XWING;database=Northwind;Trusted_Connection=Yes';
  c_sel   = 'select employeeID, Photo from employees';
  c_bufferSize = 100;
var
  sqlcon: SqlConnection;
  cmd:    SqlCommand;
  rdr:    SqlDataReader;

  barray: array[0..c_bufferSize-1] of byte;
  bytesRead: Integer;
  idx: Integer;

  fName: String;
  fStream: FileStream;
  bWriter: BinaryWriter;

begin
  sqlcon := SqlConnection.Create(c_cnstr);
  cmd := SqlCommand.Create(c_sel, sqlcon);
  sqlcon.Open;
  try
    rdr := cmd.ExecuteReader(CommandBehavior.SequentialAccess);
    rdr.Read;
    fName := 'emp_'+rdr.GetSqlInt32(0).ToString+'.bmp';
    fStream := FileStream.Create(fName, FileMode.OpenOrCreate,
      FileAccess.Write);
    try
      bWriter := BinaryWriter.Create(fStream);
      try
        idx := 0;
        repeat
          bytesRead := Integer(rdr.GetBytes(1, idx, barray, 0,
            c_bufferSize));
          bWriter.Write(barray, 0, bytesRead);
          idx := idx+c_bufferSize;
        until bytesRead < c_buffersize;
      finally
        bWriter.Close;
      end;
    finally
      fStream.Close;
    end;
  finally
    sqlcon.Close;
  end;
end.
