program SearchFind;

{$APPTYPE CONSOLE}

{%DelphiDotNetAssemblyCompiler 'c:\windows\microsoft.net\framework\v1.1.4322\System.Data.dll'}

uses
  System.Data,
  System.Data.SqlClient;

const
  c_cnstr = 'server=XWING;database=Northwind;Trusted_Connection=Yes';
  c_sel = 'select * from Customers; select * from "Order Details"';

var
  cnNW: SqlConnection;
  cmNW: SqlCommand;
  daNW: SqlDataAdapter;
  dsNW: DataSet;
  dt: DataTable;
  dr: DataRow;
  pkAry: array[0..0] of DataColumn;
  pkAry2: array[0..1] of DataColumn;

begin
  cnNW := SqlConnection.Create(c_cnstr);
  cmNW := SqlCommand.Create(c_sel, cnNW);
  daNW := SqlDataAdapter.Create(cmNW);
  daNW.TableMappings.Add('Table', 'Customers');
  daNW.TableMappings.Add('Table1', 'Order Details');
  dsNW := DataSet.Create;
  daNW.Fill(dsNW);

  dt := dsNW.Tables['Customers'];
  pkAry[0] := dt.Columns['CustomerID'];
  dt.PrimaryKey := pkAry;

  dr := dt.Rows.Find('THEBI');
  if dr <> nil then
    Console.WriteLine(dr['CompanyName'])
  else
    Console.WriteLine('Record not found');

  // Find based on mulpule keys
  dt := dsNW.Tables['Order Details'];
  pkAry2[0] := dt.Columns['OrderID'];
  pkAry2[1] := dt.Columns['ProductID'];

  dt.PrimaryKey := pkAry2;

  dr := dt.Rows.Find([10251, 22]);
  if dr <> nil then
    Console.WriteLine('Quantity: {0} : Unit Price {1}',
      [dr['Quantity'], dr['UnitPrice']])
  else
    Console.WriteLine('Record not found');
  Console.ReadLine;
end.
