program BankServer;

{$APPTYPE CONSOLE}

{%DelphiDotNetAssemblyCompiler 'BankPackage.dll'}
{%DelphiDotNetAssemblyCompiler 'c:\program files\common files\borland shared\bds\shared assemblies\2.0\Borland.Delphi.dll'}
{%DelphiDotNetAssemblyCompiler '$(SystemRoot)\microsoft.net\framework\v1.1.4322\System.Runtime.Remoting.dll'}

uses
  BankServer_Impl in 'BankServer_Impl.pas',
  System.Runtime.Remoting,
  System.Runtime.Remoting.Channels,
  System.Runtime.Remoting.Channels.HTTP;

var def_HTTPPort : integer = 8099;
    Channel : HttpChannel;
begin
  Console.WriteLine('Initializing server...');

  // Initializes the server to listen for HTTP requests on a specific port
  Channel := HttpChannel.Create(def_HTTPPort);
  ChannelServices.RegisterChannel(Channel);
  Console.WriteLine('HTTP channel created. Listening on port '+
          System.Convert.ToString(def_HTTPPort));

  // Registers the TBankManager service
  RemotingConfiguration.RegisterWellKnownServiceType(
    typeOf(TBankManager),
    'BankManager.soap',
    WellKnownObjectMode.Singleton);

  // Starts accepting requests
  Console.WriteLine('Waiting for requests...');
  Readln;
end.
