program Client;

{$APPTYPE CONSOLE}

{%DelphiDotNetAssemblyCompiler 'c:\program files\common files\borland shared\bds\shared assemblies\2.0\Borland.Delphi.dll'}
{%DelphiDotNetAssemblyCompiler '$(SystemRoot)\microsoft.net\framework\v1.1.4322\System.Runtime.Remoting.dll'}
{%DelphiDotNetAssemblyCompiler 'SharedPackage.dll'}

uses
  SharedInterfaces,
  System.Runtime.Remoting,
  System.Runtime.Remoting.Channels,
  System.Runtime.Remoting.Channels.HTTP;

var SimpleFactory : ISimpleFactory;
    SimpleSrv1,
    SimpleSrv2 : ISimpleServer;
    Channel : HttpChannel;
begin
  Channel := HttpChannel.Create(0);
  ChannelServices.RegisterChannel(Channel);

  SimpleFactory := Activator.GetObject(
    typeof(ISimpleFactory),
    'http://localhost:8099/SimpleFactory.soap');

  SimpleSrv1 := SimpleFactory.NewInstanceWithValue(5);
  SimpleSrv2 := SimpleFactory.NewInstance;

  Console.WriteLine('SimpleServer1''s value is '+Int32(SimpleSrv1.Value).ToString);
  Console.WriteLine('SimpleServer2''s value is '+Int32(SimpleSrv2.Value).ToString);
  Console.WriteLine('Setting simpleServer2''s value to 2');
  SimpleSrv2.Value := 2;
  Console.WriteLine('SimpleServer2''s value is '+Int32(SimpleSrv2.Value).ToString);
  Console.WriteLine('SimpleServer1''s value is '+Int32(SimpleSrv1.Value).ToString);
  Console.WriteLine('Press enter to terminate');
  Console.ReadLine;
end.
