program Server;

{$APPTYPE CONSOLE}

{%DelphiDotNetAssemblyCompiler 'c:\program files\common files\borland shared\bds\shared assemblies\2.0\Borland.Delphi.dll'}
{%DelphiDotNetAssemblyCompiler '$(SystemRoot)\microsoft.net\framework\v1.1.4322\System.Runtime.Remoting.dll'}
{%DelphiDotNetAssemblyCompiler 'SharedPackage.dll'}

uses
  SharedInterfaces,
  SimpleServer_Impl in 'SimpleServer_Impl.pas',
  System.Runtime.Remoting,
  System.Runtime.Remoting.Channels,
  System.Runtime.Remoting.Channels.HTTP,
  SimpleServer_Factory in 'SimpleServer_Factory.pas';

var args : System.Array;
    filename : string = 'Server.Config.xml';
begin
  // Reads the command line arguments
  args := Environment.GetCommandLineArgs;
  if args.Length>1 then
    filename := args.GetValue(1).ToString+filename;

  // Configures the remoting infrastructure
  Console.WriteLine('Initializing the server by reading the file '+filename);

  RemotingConfiguration.Configure(filename);

  // Starts accepting requests
  Console.WriteLine('Waiting for requests...');
  Console.ReadLine;
end.
