program d4dnQueue;
{$APPTYPE CONSOLE}

uses
  System.Collections;

procedure ShowCollection(Collection: IEnumerable);
var
  enumMyStack: IEnumerator;
begin
  enumMyStack := Collection.GetEnumerator;
  System.Console.WriteLine;
  while enumMyStack.MoveNext do
    System.Console.Write(enumMyStack.Current.ToString+'    ');
  System.Console.WriteLine;
end;

var
  MyQueue: Queue;
  i: integer;
begin
  // Initialize and Enqueueulate the Queue
  MyQueue := Queue.Create();
  for i := 1 to 5 do
    MyQueue.Enqueue('Item '+i.ToString());
  ShowCollection(MyQueue);

  System.Console.Write('Dequeue:  '+MyQueue.Dequeue.ToString());
  ShowCollection(MyQueue);

  System.Console.Write('Peek: '+MyQueue.Peek.ToString());
  ShowCollection(MyQueue);

  System.Console.WriteLine('Dequeue:  '+MyQueue.Dequeue.ToString());
  System.Console.Write('Dequeue:  '+MyQueue.Dequeue.ToString());
  ShowCollection(MyQueue);

  System.Console.Write('Enqueue: Item 6');
  MyQueue.Enqueue('Item 6');
  ShowCollection(MyQueue);

  MyQueue.Clear();
  System.Console.WriteLine('Queue cleared');

  System.Console.Write('Enqueue: Item 7');
  MyQueue.Enqueue('Item 7');
  ShowCollection(MyQueue);
  System.Console.ReadLine;

end.


