program d4dnHashTable;
{$APPTYPE CONSOLE}

uses
  System.Collections,
  Borland.Vcl.SysUtils;

type

  // Define a class to store in the HashTable
  TStateInfo = class
    StateName: String;
    StateCapital: String;
    Admission: TDateTime;
    constructor Create(aName, aCapital: String; aAddmision: TDateTime);
  end;

var
  htDemo: HashTable;

procedure PrintStateInfo(aKey: String);
var
  si: TStateInfo;
begin
  // First retrieve the TStateInfo item from the HashTable
  si := htDemo[aKey] as TStateInfo;
  // Print out its contents
  Console.WriteLine(Format('State: %s, Capital: %s, Admission: %s',
    [si.StateName, si.StateCapital, DateTostr(si.Admission)]));
end;

{ TStateInfo }
constructor TStateInfo.Create(aName, aCapital: String;
  aAddmision: TDateTime);
begin
  inherited Create;
  StateName    := aName;
  StateCapital := aCapital;
  Admission   := aAddmision;
end;

begin
  // Initialize and populate the HashTable
  htDemo := HashTable.Create();
  htDemo.Add('AL', TStateInfo.Create('Alabama',  'Montgomery',
    EncodeDate(1819, 12, 14)));
  htDemo.Add('FL', TStateInfo.Create('Florida',  'Tallahassee',
    EncodeDate(1845, 03, 15)));
  htDemo.Add('KY', TStateInfo.Create('Kentucky', 'Frankfort',
    EncodeDate(1792, 06, 01)));
  htDemo.Add('IL', TStateInfo.Create('Illinois',  'SpringField',
    EncodeDate(1818, 12, 03)));
  htDemo.Add('ME', TStateInfo.Create('Maine',    'Augusta',
    EncodeDate(1820, 03, 15)));

  // Print the HashTable items by Key
  PrintStateInfo('ME');
  PrintStateInfo('KY');
  PrintStateInfo('FL');
  PrintStateInfo('IL');
  PrintStateInfo('AL');
  System.Console.ReadLine;

end.


