program CustNumFmtSpec;

{$APPTYPE CONSOLE}

var
  MyDecimal: System.Int32;
  MyDouble:   System.Double;
  MyPercent:   System.Double;

begin
  MyDouble  := 123456.78;
  MyDecimal := 12;
  MyPercent := 0.25;

  Console.Writeline('Format {{A:#####}}: {0:#####}',
    System.Object(MyDouble));
  Console.Writeline('Format {{A:00000}}: {0:00000}',
    System.Object(MyDouble));
  Console.Writeline('Format {{A:###-##-####}}: {0:###-##-####}',
    System.Object(MyDouble));
  Console.Writeline('Scientific: {0:E10}', System.Object(MyDouble));
  Console.Writeline('Fixed-point: {0:F3}', System.Object(MyDouble));
  Console.Writeline('General: {0:G3}', System.Object(MyDouble));
  Console.Writeline('Number: {0:N3}',  System.Object(MyDouble));
  Console.Writeline('Percent: {0:P0}', System.Object(MyPercent));
  Console.Writeline('Round-trip: {0:R}', System.Object(MyDouble));
  Console.Writeline('Hexadecimal: {0:X}', System.Object(MyDecimal));
  Console.ReadLine;
end.
