program DTFormating;

{$APPTYPE CONSOLE}

uses
  System.Globalization;

var
  MyDateTime:   System.DateTime;
  ci: CultureInfo;
  ccName: String;

begin
  MyDateTime := System.DateTime.Now;
  ccName := CultureInfo.CurrentCulture.Name;
  ci := CultureInfo.Create('cs-CZ');

  Console.WriteLine('d (cs-CZ): '+MyDateTime.ToString('d', ci));
  Console.WriteLine(System.String.Format('d ({0}): {1}', [ccName,
    MyDateTime.ToString('d')]));
  Console.WriteLine(System.String.Format('D ({0}): {1}', [ccName,
    MyDateTime.ToString('D')]));
  Console.WriteLine(System.String.Format('t ({0}): {1}', [ccName,
    MyDateTime.ToString('t')]));
  Console.WriteLine('t (cs-CZ): '+MyDateTime.ToString('t', ci));
  Console.WriteLine(System.String.Format('T ({0}): {1}', [ccName,
    MyDateTime.ToString('T')]));
  Console.WriteLine('T (cs-CZ): '+MyDateTime.ToString('T'), ci);
  Console.WriteLine(System.String.Format('f ({0}): {1}', [ccName,
    MyDateTime.ToString('f')]));
  Console.WriteLine('f (cs-CZ): '+MyDateTime.ToString('f', ci));
  Console.WriteLine(System.String.Format('g ({0}): {1}', [ccName,
    MyDateTime.ToString('g')]));
  Console.WriteLine(System.String.Format('G ({0}): {1}', [ccName,
    MyDateTime.ToString('G')]));
  Console.WriteLine(System.String.Format('m ({0}): {1}', [ccName,
    MyDateTime.ToString('m')]));
  Console.WriteLine(System.String.Format('r ({0}): {1}', [ccName,
    MyDateTime.ToString('r')]));
  Console.WriteLine(System.String.Format('s ({0}): {1}', [ccName,
    MyDateTime.ToString('s')]));
  Console.WriteLine(System.String.Format('u ({0}): {1}', [ccName,
    MyDateTime.ToString('u')]));
  Console.WriteLine(System.String.Format('U ({0}): {1}', [ccName,
    MyDateTime.ToString('U')]));
  Console.WriteLine('U (cs-CZ): '+MyDateTime.ToString('U', ci));
  Console.WriteLine(System.String.Format('y ({0}): {1}', [ccName,
    MyDateTime.ToString('y')]));
  Console.ReadLine;
end.
