program FileStreamBin;

{$APPTYPE CONSOLE}

uses
  System.IO;
const
  cAry: array[1..8] of char = ('o', 'h', ' ', 'y', 'e', 'a', 'h', '!');
var
  MyFileStream: FileStream;
  MyBinReader: BinaryReader;
  MyBinWriter: BinaryWriter;
  MyCharAry: array of Char;
  i: integer;
begin

  MyFileStream := FileStream.Create('ddgdemo.dat', FileMode.OpenOrCreate,
    FileAccess.ReadWrite);
  try
    MyBinWriter := BinaryWriter.Create(MyFileStream);
    try
      MyBinWriter.Write(True);
      MyBinWriter.Write('Unten Gleeben Globbin Globin');
      MyBinWriter.Write(23);
      MyBinWriter.Write(23.23);
      MyBinWriter.Write(cAry);
    finally
      MyBinWriter.Close;
    end;
  finally
    MyFileStream.Close;
  end;

  // Now read it back
  MyFileStream := FileStream.Create('demo.dat', FileMode.Open,
    FileAccess.Read);
  try
    MyBinReader := BinaryReader.Create(MyFileStream);
    try
      Console.WriteLine('Boolean: {0}', [MyBinReader.ReadBoolean]);
      Console.WriteLine('String: {0}', [MyBinReader.ReadString]);
      Console.WriteLine('Integer: {0}', [MyBinReader.ReadByte]);
      Console.WriteLine('Double: {0}', [MyBinReader.ReadDouble]);
      MyCharAry := MyBinReader.ReadChars(8);
      for i := Low(MyCharAry) to High(MyCharAry) do
        Console.Write(MyCharAry[i]);
    finally
      MyBinReader.Close;
    end;
  finally
    MyFileStream.Close;
  end;

  Console.ReadLine;

end.
