program Params;

{$APPTYPE CONSOLE}

{%DotNetAssemblyCompiler 'C:\windows\microsoft.net\framework\v1.1.4322\System.Data.dll'}

uses
  SysUtils,
  System.Data,
  System.Data.SqlClient;
const
  c_cmd = 'select * from customers where country = @country';

var
  sqlcon: SqlConnection;
  cmd:    SqlCommand;
  param:  SqlParameter;
  rowsChanged: Integer;
begin
  sqlcon := SqlConnection.Create;
  sqlcon.ConnectionString := 'server=XWING;database=Northwind;'+
  'Trusted_Connection=Yes';
  cmd := SqlCommand.Create(c_cmd, sqlcon);
  param := cmd.Parameters.Add('@country', SqlDbType.NVarChar, 15);
  param.Value := 'USA';

  sqlcon.Open;
  try
    rowsChanged := cmd.ExecuteNonQuery;
  finally
    sqlcon.Close;
  end;

  Console.WriteLine(System.String.Format('Rows Changed: {0}',
    rowsChanged.ToString));
end.

