program schemaquery;

{$APPTYPE CONSOLE}

{%DotNetAssemblyCompiler 'C:\windows\microsoft.net\framework\v1.1.4322\System.Data.dll'}

uses
  SysUtils,
  System.Data,
  System.Data.SqlClient,
  System.Collections;
const
  c_cnstr = 'server=XWING;database=Northwind;Trusted_Connection=Yes';
  c_select_employees = 'select * from Employees';
var
  sqlcon: SqlConnection;
  cmd:    SqlCommand;
  rdr:    SqlDataReader;
  schema: DataTable;
  row:    DataRow;
  col:    DataColumn;
  enRow: IEnumerator;
  enCol: IEnumerator;
begin
  sqlcon := SqlConnection.Create(c_cnstr);
  cmd := SqlCommand.Create(c_select_employees, sqlcon);
  sqlcon.Open;
  try
    rdr := cmd.ExecuteReader(CommandBehavior.SequentialAccess);
    schema := rdr.GetSchemaTable;
  finally
    sqlcon.Close;
  end;

  enRow := schema.Rows.GetEnumerator;
  while enRow.MoveNext do
  begin
    row := enRow.Current as DataRow;
    enCol := schema.Columns.GetEnumerator;
    while enCol.MoveNext do
    begin
      col := enCol.Current as DataColumn;
      Console.WriteLine(col.ColumnName+'='+row[col].ToString);
    end;
    Console.WriteLine;
  end;
  Console.ReadLine;
end.
