program FillConstraints;

{$APPTYPE CONSOLE}

{%DelphiDotNetAssemblyCompiler 'c:\windows\microsoft.net\framework\v1.1.4322\System.Data.dll'}

uses
  System.Data,
  System.Data.SqlClient,
  System.Collections;

const
  c_cnstr = 'server=XWING;database=Northwind;Trusted_Connection=Yes';
  c_sel_ord = 'select * from orders';

var
  cnNW: SqlConnection;
  dsNW: DataSet;
  daNW: SqlDataAdapter;
  cmdOrd: SqlCommand;

  enumConst: IEnumerator;
  uc: UniqueConstraint;

begin
  cnNW := SqlConnection.Create(c_cnstr);
  dsNW := DataSet.Create;
  cmdOrd := SqlCommand.Create(c_sel_ord, cnNW);
  daNW := SqlDataAdapter.Create(cmdOrd);

  cnNW.Open;
  try
    daNW.FillSchema(dsNW, SchemaType.Mapped, 'Orders');
    daNW.Fill(dsNW, 'Orders');
  finally
    cnNW.Close;
  end;

  enumConst := dsNW.Tables['Orders'].Constraints.GetEnumerator;
  while enumConst.MoveNext do
  begin
    uc := enumConst.Current as UniqueConstraint;
    Console.WriteLine('{0}, PrimaryKey: {1}', [uc.Columns[0].ColumnName,
      uc.IsPrimaryKey.ToString]);
  end;
  Console.ReadLine;
end.
