program DataRowVer;

{$APPTYPE CONSOLE}

{%DelphiDotNetAssemblyCompiler 'c:\windows\microsoft.net\framework\v1.1.4322\System.Data.dll'}

uses
  System.Data,
  System.Data.SqlClient;

const
  c_cnstr = 'server=XWING;database=Northwind;Trusted_Connection=Yes';
  c_sel = 'select * from Customers;';

var
  cnNW: SqlConnection;
  cmNW: SqlCommand;
  daNW: SqlDataAdapter;
  dsNW: DataSet;
  dtCust: DataTable;
  drCust: DataRow;

begin
  cnNW := SqlConnection.Create(c_cnstr);
  cmNW := SqlCommand.Create(c_sel, cnNW);
  daNW := SqlDataAdapter.Create(cmNW);
  daNW.TableMappings.Add('Table', 'Customers');
  dsNW := DataSet.Create;
  daNW.Fill(dsNW);
  dtCust := dsNW.Tables['Customers'];
  drCust := dtCust.Rows[0];

  // Edit A Row
  drCust.BeginEdit;

  drCust := dtCust.Rows[0];
  drCust['CompanyName'] := 'Borland';
  drCust['ContactName'] := 'Frank Borland';
  drCust['ContactTitle'] := 'Nobody Knows';

  if drCust.HasVersion(DataRowVersion.Original) then
  begin
    Console.WriteLine('Original Row----');
    Console.WriteLine('     {0} : {1} : {2} : {3}',
      [drCust['CustomerID', DataRowVersion.Original],
       drCust['CompanyName', DataRowVersion.Original],
       drCust['ContactName', DataRowVersion.Original],
       drCust['ContactTitle', DataRowVersion.Original]]);
  end;

  if drCust.HasVersion(DataRowVersion.Current) then
  begin
    Console.WriteLine('Current Row----');
    Console.WriteLine('     {0} : {1} : {2} : {3}',
      [drCust['CustomerID', DataRowVersion.Current],
       drCust['CompanyName', DataRowVersion.Current],
       drCust['ContactName', DataRowVersion.Current],
       drCust['ContactTitle', DataRowVersion.Current]]);
  end;

  if drCust.HasVersion(DataRowVersion.Proposed) then
  begin
    Console.WriteLine('Proposed Row----');
    Console.WriteLine('     {0} : {1} : {2} : {3}',
      [drCust['CustomerID', DataRowVersion.Proposed],
       drCust['CompanyName', DataRowVersion.Proposed],
       drCust['ContactName', DataRowVersion.Proposed],
       drCust['ContactTitle', DataRowVersion.Proposed]]);
  end;
  drCust.EndEdit;

  Console.ReadLine;
end.
