program SearchSQL;

{$APPTYPE CONSOLE}

{%DelphiDotNetAssemblyCompiler 'c:\windows\microsoft.net\framework\v1.1.4322\System.Data.dll'}

uses
  System.Data,
  System.Data.SqlClient;

const
  c_cnstr = 'server=XWING;database=Northwind;Trusted_Connection=Yes';
  c_sel = 'select * from Customers; select * from "Order Details"';

var
  cnNW: SqlConnection;
  cmNW: SqlCommand;
  daNW: SqlDataAdapter;
  dsNW: DataSet;
  dt: DataTable;
  drAry: array of DataRow;
  dvrs: DataViewRowState;
  i: integer;

begin
  cnNW := SqlConnection.Create(c_cnstr);
  cmNW := SqlCommand.Create(c_sel, cnNW);
  daNW := SqlDataAdapter.Create(cmNW);
  daNW.TableMappings.Add('Table', 'Customers');
  daNW.TableMappings.Add('Table1', 'Order Details');
  dsNW := DataSet.Create;
  daNW.Fill(dsNW);

  dt := dsNW.Tables['Customers'];
  drAry := dt.Select('Country = ''Germany''');
  for i := Low(drAry) to High(drAry) do
    Console.WriteLine('{0} : {1} : {2} : {3}', drAry[i]['ContactName'],
    drAry[i]['City'], drAry[i]['Region'], drAry[i]['Country']);

  Console.WriteLine('---------------------');

  // Now sort them
  drAry := dt.Select('Country = ''USA''', 'ContactName DESC');
  for i := Low(drAry) to High(drAry) do
    Console.WriteLine('{0} : {1} : {2} : {3}', drAry[i]['ContactName'],
    drAry[i]['City'], drAry[i]['Region'], drAry[i]['Country']);

  Console.WriteLine('----------------------');

  // View only deleted rows
  dt.Rows[0].Delete;
  dt.Rows[1].Delete;

  dvrs := DataViewRowState.Deleted;
  drAry := dt.Select('', '', dvrs);
  for i := Low(drAry) to High(drAry) do
    Console.WriteLine(drAry[i]['CompanyName', DataRowVersion.Original]);

  Console.ReadLine;
end.
