UPDATE Products
SET
  ProductName     = @C_ProductName,
  SupplierID      = @C_SupplierID,
  CategoryID      = @C_CategoryID,
  QuantityPerUnit = @C_QuantityPerUnit,
  UnitPrice       = @C_UnitPrice,
  UnitsInStock    = @C_UnitsInStock,
  UnitsOnOrder    = @C_UnitsOnOrder,
  ReorderLevel    = @C_ReorderLevel,
  Discontinued    = @C_Discontinued
WHERE
  ProductID       = @O_ProductID       AND
  ProductName     = @O_ProductName     AND
  SupplierID      = @O_SupplierID      AND
  CategoryID      = @O_CategoryID      AND
  QuantityPerUnit = @O_QuantityPerUnit AND
  UnitPrice       = @O_UnitPrice       AND
  UnitsInStock    = @O_UnitsInStock    AND
  UnitsOnOrder    = @O_UnitsOnOrder    AND
  ReorderLevel    = @O_ReorderLevel    AND
  Discontinued    = @O_Discontinued;

