<%@ Page language="c#" Debug="true" Codebehind="WebForm1.pas" AutoEventWireup="false" Inherits="WebForm1.TWebForm1" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
  <head>
    <title></title>
    <meta name="GENERATOR" content="Borland Package Library 7.1">
  </head>

  <body ms_positioning="GridLayout">
  <form runat="server">
    <table cellspacing=1 cellpadding=1 width=300 border=1>
      <tbody>
        <tr>
          <td style="WIDTH: 148px; HEIGHT: 26px">
            <asp:label id=Label1 runat="server" width="140px" 
                       height="22px">Phone number</asp:label>
          </td>
          <td style="WIDTH: 297px; HEIGHT: 26px">
            <asp:textbox id=txbxPhoneNo runat="server" 
                         width="225px">
            </asp:textbox>
          </td>
          <td style="HEIGHT: 26px">
            <asp:regularexpressionvalidator id=regexPhoneNo 
                                            runat="server" width="222px" 
                                            height="15px" 
                                            controltovalidate="txbxPhoneNo" 
                                            validationexpression="((\(\d{3}\) ?)|(\d{3}-))?\d{3}-\d{4}" 
                                            errormessage="Invalid phone number">
            </asp:regularexpressionvalidator>
          </td>
        </tr>
        <tr>
          <td style="WIDTH: 148px">
            <asp:label id=Label2 runat="server">SSN</asp:label>
          </td>
          <td style="WIDTH: 297px">
            <asp:textbox id=txbxSSN runat="server" width="225px">
            </asp:textbox>
          </td>
          <td>
            <asp:regularexpressionvalidator id=regexSSN 
                                            runat="server" 
                                            controltovalidate="txbxSSN" 
                                            validationexpression="\d{3}-\d{2}-\d{4}" 
                                            errormessage="Invalid SSN">
            </asp:regularexpressionvalidator>
          </td>
        </tr>
        <tr>
          <td style="WIDTH: 148px">
            <asp:label id=Label4 runat="server">Zip code</asp:label>
          </td>
          <td style="WIDTH: 297px">
            <asp:textbox id=txbxZip runat="server" width="225px">
            </asp:textbox>
          </td>
          <td>
            <asp:regularexpressionvalidator id=regexZipCode 
                                            runat="server" 
                                            controltovalidate="txbxZip" 
                                            validationexpression="\d{5}(-\d{4})?" 
                                            errormessage="Invalid zip code">
            </asp:regularexpressionvalidator>
          </td>
        </tr>
        <tr>
          <td style="WIDTH: 148px">
            <asp:label id=Label5 runat="server">9 chars (password)</asp:label>
          </td>
          <td style="WIDTH: 297px">
            <asp:textbox id=txbxPassword runat="server" 
                         width="225px">
            </asp:textbox>
          </td>
          <td>
            <asp:regularexpressionvalidator id=regexPassword 
                                            runat="server" 
                                            controltovalidate="txbxPassword" 
                                            validationexpression="\w{6,9}" 
                                            errormessage="Invalid password (6-9 chars)">
            </asp:regularexpressionvalidator>
          </td>
        </tr>
        <tr>
          <td style="WIDTH: 148px">
            <asp:label id=Label6 runat="server">E-mail</asp:label>
          </td>
          <td style="WIDTH: 297px">
            <asp:textbox id=txbxEmail runat="server" 
                         width="225px" height="24">
            </asp:textbox>
          </td>
          <td>
            <asp:regularexpressionvalidator id=regexEmail 
                                            runat="server" 
                                            controltovalidate="txbxEmail" 
                                            validationexpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
                                            errormessage="Invalid email address" 
                                            display="Dynamic">
            </asp:regularexpressionvalidator>
            <asp:requiredfieldvalidator id=reqFldEmail 
                                        runat="server" 
                                        controltovalidate="txbxEmail" 
                                        errormessage="Email required" 
                                        display="Dynamic">
            </asp:requiredfieldvalidator>
          </td>
        </tr>
        <tr>
          <td style="WIDTH: 148px">
            <asp:label id=Label7 runat="server">URL</asp:label>
          </td>
          <td style="WIDTH: 297px">
            <asp:textbox id=txbxURL runat="server" width="225px" 
                         height="24">
            </asp:textbox>
          </td>
          <td>
            <asp:regularexpressionvalidator id=regexURL 
                                            runat="server" 
                                            controltovalidate="txbxURL" 
                                            validationexpression="http://([\w-]+\.)+[\w-]+(/[\w- ./?%&amp;=]*)?" 
                                            errormessage="Invalid URL">
            </asp:regularexpressionvalidator>
          </td>
        </tr>
      </tbody>
    </table>
    <input style="Z-INDEX: 1; LEFT: 14px; POSITION: absolute; TOP: 230px" 
           type=submit value=Submit>
  </form>
</body>
</html>

