program Server;

{$APPTYPE CONSOLE}

{%DelphiDotNetAssemblyCompiler 'c:\program files\common files\borland shared\bds\shared assemblies\2.0\Borland.Delphi.dll'}
{%DelphiDotNetAssemblyCompiler '$(SystemRoot)\microsoft.net\framework\v1.1.4322\System.Runtime.Remoting.dll'}
{%DelphiDotNetAssemblyCompiler 'SharedPackage.dll'}

uses
  SharedInterfaces,
  SimpleServer_Impl in 'SimpleServer_Impl.pas',
  System.Runtime.Remoting,
  System.Runtime.Remoting.Channels,
  System.Runtime.Remoting.Channels.HTTP;

const def_HTTPPort : integer = 8099;
var Channel : HttpChannel;
begin
  Console.WriteLine('Initializing server...');

  // Initializes the server to listen for HTTP requests on a specific port
  Channel := HttpChannel.Create(def_HTTPPort);
  ChannelServices.RegisterChannel(Channel);
  Console.WriteLine('HTTP channel created. Listening on port '+
          Int32(def_HTTPPort).ToString);

  // Registers the TSimpleServer service
  RemotingConfiguration.RegisterWellKnownServiceType(
    typeOf(TSimpleServer),
    'SimpleServer.soap',
    WellKnownObjectMode.Singleton);

  // Starts accepting requests
  Console.WriteLine('Waiting for requests...');
  Console.ReadLine;
end.

