unit SharedInterfaces;

interface

type
  ISimpleServer = interface
    function GetValue : integer;
    procedure SetValue(Value : integer);

    property Value : integer read GetValue write SetValue;
  end;

  ISimpleFactory = interface
    function NewInstance : ISimpleServer;
    function NewInstanceWithValue(Value : integer) : ISimpleServer;
  end;

implementation

end.
